package es.uv.garcosda.services;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.stereotype.Service;

import es.uv.garcosda.domain.File;
import es.uv.garcosda.domain.Mail;

@Service
public class DispatcherService {

	@Autowired
	JmsTemplate jms;
	
	@Value("${mailer.queue}")
	String queue;
	@Value("${files.queue}")
	String queue2;
	
	public void sendMessage(Mail m) {
		jms.convertAndSend(this.queue, m);
	}
	
	public void sendFile(File m) {
		jms.convertAndSend(this.queue2, m);
	}
	
	
}
